javax.servlet

## Interface ServletRegistration

- All Superinterfaces:
    Registration
  All Known Subinterfaces:
    ServletRegistration.Dynamic

      public interface ServletRegistration
      extends Registration

  TODO SERVLET3 - Add comments
  Since:
    Servlet 3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ServletRegistration.Dynamic`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `addMapping(java.lang.String... urlPatterns)` TODO
    `java.util.Collection<java.lang.String>` | `getMappings()`
    `java.lang.String` | `getRunAsRole()`

    - ### Methods inherited from interface javax.servlet.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Method Detail

    - #### addMapping

          java.util.Set<java.lang.String> addMapping(java.lang.String... urlPatterns)

      TODO
      Parameters:
        `urlPatterns` - The URL patterns that this Servlet should be mapped to
      Returns:
        TODO
      Throws:
        `java.lang.IllegalArgumentException` - if urlPattern is null or empty
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getMappings

          java.util.Collection<java.lang.String> getMappings()

    - #### getRunAsRole

          java.lang.String getRunAsRole()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.